#!/bin/sh

cat <<_END_OF_TESTCODE_ >> tmp_testcodeABGH.c
#include <time.h>
#include <sys/time.h>
#include <stdio.h>

int main(int argc, char** argv) {
	time_t time1 = 0;
	time_t time2 = 0;
	struct tm timecode1;
	struct tm timecode2;
	char timestr[64];
	
	if(!strptime(argv[1],"%F %T",&timecode1)) {
		fprintf(stderr, "test: invalid time format\n");
		 return 1;
	}

	if(!strptime(argv[1],"%F %T",&timecode2)) {
		fprintf(stderr, "test: invalid time format\n");
		 return 1;
	}

	time1 = mktime(&timecode1);
	strftime(timestr, 64, "%F %T" , &timecode1);
	printf("1: %s -- %i\n",timestr,time1);

	time2 = mktime(&timecode2);
	strftime(timestr, 64, "%F %T" , &timecode2);
	printf("2: %s -- %i\n",timestr,time2);
	
	return 0;
}
_END_OF_TESTCODE_

cc -o testcodeABGH tmp_testcodeABGH.c

./testcodeABGH '2006-03-02 02:12:00'
./testcodeABGH '2006-03-02 02:47:00'

rm testcodeABGH
rm tmp_testcodeABGH.c


